import java.util.*;

public class SetTest {

	ArrayList<Buch> buecherListe = new ArrayList<Buch>();

	public static void main(String[] args) {
		new SetTest().los();
	}

	public void los() {
		buecherListe.add(new Buch("Java von Kopf bis Fuss", "Sierra/Bates", 2006));
		buecherListe.add(new Buch("Java for Dummies", "Burd", 2006));
		buecherListe.add(new Buch("Endlich Nichtraucher", "Carr/Andreas-Hoole", 1992));
		buecherListe.add(new Buch("Die Macht Ihres Unterbewusstseins", "Murphy", 2005));
		buecherListe.add(new Buch("Java von Kopf bis Fuss", "Sierra/Bates", 2006));

		System.out.println("\nBuecherListe im HashSet");
		HashSet<Buch> buecherHashSet = new HashSet<Buch>();
		buecherHashSet.addAll(buecherListe);
		System.out.println(buecherHashSet);
		
		System.out.println("\nBuecherListe im TreeSet nach Titel sortiert");
		TreeSet<Buch> buecherTreeSet = new TreeSet<Buch>();
		buecherTreeSet.addAll(buecherListe);
		System.out.println(buecherTreeSet);
	}
	
	// innere Comparator-Klasse, die Buecher nach Autor sortiert
	class AutorenVergleich implements Comparator<Buch> {
		public int compare(Buch b1, Buch b2) {
			return b1.getAutor().compareTo(b2.getAutor());  // Strings vergleichen
		}
	}	
}