import java.util.*;

public class SortTest {

	ArrayList<Buch> buecherListe = new ArrayList<Buch>();

	public static void main(String[] args) {
		new SortTest().los();
	}

	public void los() {
		buecherListe.add(new Buch("Java von Kopf bis Fuss", "Sierra/Bates", 2006));
		buecherListe.add(new Buch("Java for Dummies", "Burd", 2006));
		buecherListe.add(new Buch("Endlich Nichtraucher", "Carr/Andreas-Hoole", 1992));
		buecherListe.add(new Buch("Die Macht Ihres Unterbewusstseins", "Murphy", 2005));
		buecherListe.add(new Buch("Java von Kopf bis Fuss", "Sierra/Bates", 2006));		
		
		System.out.println("BuecherListe unsortiert: ");
		System.out.println(buecherListe);
		
		System.out.println("\nBuecherListe nach Titel sortiert: ");
		Collections.sort(buecherListe);
		System.out.println(buecherListe);
		
		System.out.println("\nBuecherListe nach Autor sortiert: ");
		Collections.sort(buecherListe, new AutorenVergleich());
		System.out.println(buecherListe);
	}
	
	// innere Comparator-Klasse, die Buecher nach Autor sortiert
	class AutorenVergleich implements Comparator<Buch> {
		public int compare(Buch b1, Buch b2) {
			return b1.getAutor().compareTo(b2.getAutor());  // Strings vergleichen
		}
	}	
}